Bug 1488916 (CVE-2017-13729) - CVE-2017-13729 ncurses: Illegal address access in the _nc_save_str function
Summary: CVE-2017-13729 ncurses: Illegal address access in the _nc_save_str function
Status: CLOSED WONTFIX
Alias: CVE-2017-13729
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20170823,reported=2...
Keywords: Security
: 1484276 (view as bug list)
Depends On: 1484276 1488923
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-06 13:06 UTC by Andrej Nemec
Modified: 2019-06-08 22:18 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-06-08 03:24:28 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-09-06 13:06:36 UTC
There is an illegal address access in the _nc_save_str function in alloc_entry.c in ncurses 6.0. It will lead to a denial of service attack.

Bug report:

https://bugzilla.redhat.com/show_bug.cgi?id=1484276

Comment 1 Andrej Nemec 2017-09-06 13:12:27 UTC
Created ncurses tracking bugs for this issue:

Affects: fedora-all [bug 1488923]

Comment 2 Miroslav Lichvar 2018-07-27 15:24:06 UTC
*** Bug 1484276 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.